Inactive revision slider button visible on diff view
Closed, ResolvedPublic

Description

A mysterious browse history button was showing on the mobile diff view prior to this revert:
e.g. https://en.m.wikipedia.org/wiki/Special:MobileDiff/589685723

It cannot be clicked, is unstyled and obscures the display off the diff (space is limited on mobile)
It displays in both stable and beta mobile

Please test on mobile before you deploy things!!

acceptance criteria

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 27 2017, 11:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson triaged this task as High priority.Jun 27 2017, 11:43 PM
Jdlrobson added a project: Mobile.
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Inactive revision slider button visible on diff view to Regression: Inactive revision slider button visible on diff view.
Jdlrobson added a project: Regression.

If this cannot be fixed quickly I suggest we revert https://gerrit.wikimedia.org/r/#/c/355434/ which I will do today.

Change 361943 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Revert "Run DiffViewHeader in mobile mode, too"

https://gerrit.wikimedia.org/r/361943

Change 361944 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@wmf/1.30.0-wmf.6] Revert "Run DiffViewHeader in mobile mode, too"

https://gerrit.wikimedia.org/r/361944

Change 361945 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@wmf/1.30.0-wmf.7] Revert "Run DiffViewHeader in mobile mode, too"

https://gerrit.wikimedia.org/r/361945

Change 361943 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Revert "Run DiffViewHeader in mobile mode, too"

https://gerrit.wikimedia.org/r/361943

Jdlrobson lowered the priority of this task from High to Normal.Jun 28 2017, 8:32 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Regression: Inactive revision slider button visible on diff view to Inactive revision slider button visible on diff view.

Patch will be swatted later today.

Change 361945 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.30.0-wmf.7] Revert "Run DiffViewHeader in mobile mode, too"

https://gerrit.wikimedia.org/r/361945

Change 361944 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.30.0-wmf.6] Revert "Run DiffViewHeader in mobile mode, too"

https://gerrit.wikimedia.org/r/361944

Mentioned in SAL (#wikimedia-operations) [2017-06-28T23:35:02Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.7/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php: SWAT: [[gerrit:361945|Revert "Run DiffViewHeader in mobile mode, too"]] T169024 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2017-06-28T23:36:32Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.6/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php: SWAT: [[gerrit:361944|Revert "Run DiffViewHeader in mobile mode, too"]] T169024 (duration: 00m 46s)

Over to you RevisionSlider team. I've removed the hook until this can be fixed.

@Jdlrobson when https://gerrit.wikimedia.org/r/#/c/363004/ is merged you could reinstall the hook. The RevisonSlider will still not show, since we block him from doing so in that patch.

I would suggest activating the hook even before we get the RevisionSlider ready, so you can see if any other extension might mess with the MobileFrontend view.

Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.Jul 4 2017, 1:41 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 19 2017, 1:10 AM

This is fixed, so yes. At least the button does not show. The slider obviously does not work yet on mobile but that's another ticket I guess.

Lea_WMDE closed this task as Resolved.Mar 16 2018, 12:53 PM
Lea_WMDE claimed this task.